"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

function _react() {
  var data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _enzyme() {
  var data = require("enzyme");

  _enzyme = function _enzyme() {
    return data;
  };

  return data;
}

function _enzymeToJson() {
  var data = _interopRequireDefault(require("enzyme-to-json"));

  _enzymeToJson = function _enzymeToJson() {
    return data;
  };

  return data;
}

var _ = require("..");

describe('Cell', function () {
  var wrapper;
  afterEach(function () {
    wrapper.unmount();
  });
  it('should render value slot correctly', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      value: "Custom Value"
    }));
    expect((0, _enzymeToJson().default)(wrapper)).toMatchSnapshot();
  });
  it('should render title slot correctly', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Custom Title"
    }));
    expect((0, _enzymeToJson().default)(wrapper)).toMatchSnapshot();
  });
  it('should render label slot correctly', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      label: "Custom Label"
    }));
    expect((0, _enzymeToJson().default)(wrapper)).toMatchSnapshot();
  });
  it('should render icon slot correctly', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      icon: "location-o"
    }));
    expect((0, _enzymeToJson().default)(wrapper)).toMatchSnapshot();
  });
  it('should render extra slot correctly', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      value: "Value",
      extra: "Custom Extra"
    }));
    expect(wrapper.html()).toMatchSnapshot();
  });
  it('should change arrow direction when using arrow-direction prop', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      value: "Value",
      isLink: true,
      arrowDirection: "down"
    }));
    expect(wrapper.find('.rc-cell__right-icon').exists()).toBeTruthy();
    expect(wrapper.find('.van-icon-arrow-down').exists()).toBeTruthy();
  });
  it('should change title style when using title-style prop', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      titleStyle: {
        color: 'red'
      }
    }));
    var title = wrapper.find('.rc-cell__title');
    expect(title.getDOMNode().style.color).toEqual('red');
  });
  it('should change icon class prefix when using icon-prefix prop', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      icon: "success",
      iconPrefix: "my-icon"
    }));
    expect(wrapper.html()).toMatchSnapshot();
  });
  it('should allow to disable clicakble when using is-link prop', function () {
    wrapper = (0, _enzyme().mount)( /*#__PURE__*/_react().default.createElement(_.Cell, {
      title: "Title",
      isLink: true,
      clickable: false
    }));
    expect(wrapper.find('.rc-cell--clickable').exists()).toBeTruthy();
  });
});